Bug 9473 - Use DataTables on tags list page
Summary: Use DataTables on tags list page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/tags/list.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 21:04 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9473 - Use DataTables on tags list page (2.62 KB, patch)
2013-01-23 21:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9473 [Revised] Use DataTables on tags list page (2.74 KB, patch)
2013-01-25 14:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9473: Use DataTables on tags list page (2.74 KB, patch)
2013-02-07 01:24 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9473: Use DataTables on tags list page (2.80 KB, patch)
2013-02-07 11:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-23 21:04:13 UTC
The tags list page (showing that titles are tagged with a particular tag) uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-23 21:07:39 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-01-25 14:10:37 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2013-02-07 01:24:01 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-07 11:14:10 UTC
QA comment:
Replace the tablesorter plugin with datatable.
Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-07 11:14:24 UTC
Created attachment 15133 [details] [review]
Bug 9473: Use DataTables on tags list page

Replace the tablesorter plugin with the DataTables plugin on the tags
list page.

To test, got to tags moderation and click on a term which tags
multiple titles. On the tags list page, confirm that table sorting works
correctly.

Revision makes default result count (20) match options for number of
pagination entries (10,20,50,100,all).

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-07 12:48:38 UTC
This patch has been pushed to master.